package com.mortals.xhx.module.demo.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.demo.model.DemoEntity;
/**
* 测试demo查询对象
*
* @author zxfei
* @date 2021-10-22
*/
public class DemoQuery extends DemoEntity {
    /** 主键id */
    private List<String> idList;

    /** 字段1 */
    private List<String> fieldOneList;

    /** 开始 字段2 */
    private Long fieldTwoStart;

    /** 结束 字段2 */
    private Long fieldTwoEnd;

    /** 增加 字段2 */
    private Long fieldTwoIncrement;

    /** 字段2列表 */
    private List <Long> fieldTwoList;

    /** 开始 字段3 */
    private Integer fieldThreeStart;

    /** 结束 字段3 */
    private Integer fieldThreeEnd;

    /** 增加 字段3 */
    private Integer fieldThreeIncrement;

    /** 字段3列表 */
    private List <Integer> fieldThreeList;

    /** 开始  */
    private String updateTimeStart;

    /** 结束  */
    private String updateTimeEnd;

    /**  */
    private List<String> updateUserList;

    /** 开始  */
    private String createTimeStart;

    /** 结束  */
    private String createTimeEnd;

    /**  */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DemoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DemoQuery> andConditionList;

    public DemoQuery(){}

    /**
    * 获取 主键id
    * @return idList
    */
    public List<String> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键id
    * @param idList
    */
    public void setIdList(List<String> idList){
        this.idList = idList;
    }
    /**
    * 获取 字段1
    * @return fieldOneList
    */
    public List<String> getFieldOneList(){
        return this.fieldOneList;
    }

    /**
    * 设置 字段1
    * @param fieldOneList
    */
    public void setFieldOneList(List<String> fieldOneList){
        this.fieldOneList = fieldOneList;
    }
    /**
    * 获取 开始 字段2
    * @return fieldTwoStart
    */
    public Long getFieldTwoStart(){
        return this.fieldTwoStart;
    }

    /**
    * 设置 开始 字段2
    * @param fieldTwoStart
    */
    public void setFieldTwoStart(Long fieldTwoStart){
        this.fieldTwoStart = fieldTwoStart;
    }

    /**
    * 获取 结束 字段2
    * @return $fieldTwoEnd
    */
    public Long getFieldTwoEnd(){
        return this.fieldTwoEnd;
    }

    /**
    * 设置 结束 字段2
    * @param fieldTwoEnd
    */
    public void setFieldTwoEnd(Long fieldTwoEnd){
        this.fieldTwoEnd = fieldTwoEnd;
    }

    /**
    * 获取 增加 字段2
    * @return fieldTwoIncrement
    */
    public Long getFieldTwoIncrement(){
        return this.fieldTwoIncrement;
    }

    /**
    * 设置 增加 字段2
    * @param fieldTwoIncrement
    */
    public void setFieldTwoIncrement(Long fieldTwoIncrement){
        this.fieldTwoIncrement = fieldTwoIncrement;
    }

    /**
    * 获取 字段2
    * @return fieldTwoList
    */
    public List<Long> getFieldTwoList(){
        return this.fieldTwoList;
    }

    /**
    * 设置 字段2
    * @param fieldTwoList
    */
    public void setFieldTwoList(List<Long> fieldTwoList){
        this.fieldTwoList = fieldTwoList;
    }

    /**
    * 获取 开始 字段3
    * @return fieldThreeStart
    */
    public Integer getFieldThreeStart(){
        return this.fieldThreeStart;
    }

    /**
    * 设置 开始 字段3
    * @param fieldThreeStart
    */
    public void setFieldThreeStart(Integer fieldThreeStart){
        this.fieldThreeStart = fieldThreeStart;
    }

    /**
    * 获取 结束 字段3
    * @return $fieldThreeEnd
    */
    public Integer getFieldThreeEnd(){
        return this.fieldThreeEnd;
    }

    /**
    * 设置 结束 字段3
    * @param fieldThreeEnd
    */
    public void setFieldThreeEnd(Integer fieldThreeEnd){
        this.fieldThreeEnd = fieldThreeEnd;
    }

    /**
    * 获取 增加 字段3
    * @return fieldThreeIncrement
    */
    public Integer getFieldThreeIncrement(){
        return this.fieldThreeIncrement;
    }

    /**
    * 设置 增加 字段3
    * @param fieldThreeIncrement
    */
    public void setFieldThreeIncrement(Integer fieldThreeIncrement){
        this.fieldThreeIncrement = fieldThreeIncrement;
    }

    /**
    * 获取 字段3
    * @return fieldThreeList
    */
    public List<Integer> getFieldThreeList(){
        return this.fieldThreeList;
    }

    /**
    * 设置 字段3
    * @param fieldThreeList
    */
    public void setFieldThreeList(List<Integer> fieldThreeList){
        this.fieldThreeList = fieldThreeList;
    }

    /**
    * 获取 开始 
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }

	/**
    * 设置 主键id
    * @param id
    */
    public DemoQuery id(String id){
        setId(id);
		return this;
    }

    /**
    * 设置 主键id
    * @param idList
    */
    public DemoQuery idList(List<String> idList){
        this.idList = idList;
		return this;
    }


	/**
    * 设置 字段1
    * @param fieldOne
    */
    public DemoQuery fieldOne(String fieldOne){
        setFieldOne(fieldOne);
		return this;
    }

    /**
    * 设置 字段1
    * @param fieldOneList
    */
    public DemoQuery fieldOneList(List<String> fieldOneList){
        this.fieldOneList = fieldOneList;
		return this;
    }

    /**
    * 设置  字段2
    * @param fieldTwo
    */
    public DemoQuery fieldTwo(Long fieldTwo){
	    setFieldTwo(fieldTwo);
		return this;
    }
	
	 /**
    * 设置 开始 字段2
    * @param fieldTwoStart
    */
    public DemoQuery fieldTwoStart(Long fieldTwoStart){
		this.fieldTwoStart = fieldTwoStart;
		return this;
    }

    /**
    * 设置 结束 字段2
    * @param fieldTwoEnd
    */
    public DemoQuery fieldTwoEnd(Long fieldTwoEnd){
		this.fieldTwoEnd = fieldTwoEnd;
		return this;
    }

    /**
    * 设置 增加 字段2
    * @param fieldTwoIncrement
    */
    public DemoQuery fieldTwoIncrement(Long fieldTwoIncrement){
		this.fieldTwoIncrement = fieldTwoIncrement;
		return this;
    }

    /**
    * 设置 字段2
    * @param fieldTwoList
    */
    public DemoQuery fieldTwoList(List<Long> fieldTwoList){
        this.fieldTwoList = fieldTwoList;
		return this;
        }

    /**
    * 设置  字段3
    * @param fieldThree
    */
    public DemoQuery fieldThree(Integer fieldThree){
	    setFieldThree(fieldThree);
		return this;
    }
	
	 /**
    * 设置 开始 字段3
    * @param fieldThreeStart
    */
    public DemoQuery fieldThreeStart(Integer fieldThreeStart){
		this.fieldThreeStart = fieldThreeStart;
		return this;
    }

    /**
    * 设置 结束 字段3
    * @param fieldThreeEnd
    */
    public DemoQuery fieldThreeEnd(Integer fieldThreeEnd){
		this.fieldThreeEnd = fieldThreeEnd;
		return this;
    }

    /**
    * 设置 增加 字段3
    * @param fieldThreeIncrement
    */
    public DemoQuery fieldThreeIncrement(Integer fieldThreeIncrement){
		this.fieldThreeIncrement = fieldThreeIncrement;
		return this;
    }

    /**
    * 设置 字段3
    * @param fieldThreeList
    */
    public DemoQuery fieldThreeList(List<Integer> fieldThreeList){
        this.fieldThreeList = fieldThreeList;
		return this;
        }



	/**
    * 设置 
    * @param updateUser
    */
    public DemoQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }

    /**
    * 设置 
    * @param updateUserList
    */
    public DemoQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }



	/**
    * 设置 
    * @param createUser
    */
    public DemoQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }

    /**
    * 设置 
    * @param createUserList
    */
    public DemoQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DemoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DemoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DemoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DemoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}